/*
SCAPT.C - Capture the screen to a file
*/

#include <plib.h>
#include <wlib.h>

GLREF_D TEXT *DatCommandPtr;

GLREF_C INT pcxScreenSave(TEXT *name);

LOCAL_D WSERV_SPEC wSpec;

GLDEF_C INT main(VOID)
    {
    INT ret;
    TEXT *pc;
    TEXT name[P_FNAMESIZE];

    pc=p_skipch(DatCommandPtr)+1;
    if (*pc)
        pc=p_skipwh(pc+1);
    ret=p_fparse(pc,"REM::SCREEN.PCX",&name[0],NULL);
    if (!ret)
        {
        wConnect(&wSpec,0,W_CONNECT_AT_BACK);
        ret=pcxScreenSave(&name[0]);
        p_sound(1,512);
        }
    return(ret);
    }
